<xml> </xml>

Better ListView Class Reference |

# BetterListViewLayout(TElement) Members

BetterListViewLayout(TElement) overview

#### Public Instance Properties

AutoSizeImages | Update ImageSize property automatically according to largest image size.
AutoSizeText | Update EmptyText property automatically according to largest text height.
DefaultImageAlignmentHorizontal | default horizontal element image alignment
DefaultImageAlignmentVertical | default vertical element image alignment
DefaultTextAlignmentHorizontal | default horizontal element text alignment
DefaultTextAlignmentVertical | default vertical element text alignment
DefaultTextTrimming | default element text trimming
ElementInnerPadding | padding around inner area of the element
ImagePadding | element image paddng
TextPadding | text area padding

#### Protected Instance Constructors

BetterListViewLayout(TElement) Constructor | Initializes a new instance of the BetterListViewLayout(TElement) class.

#### Protected Instance Properties

DefaultDefaultImageAlignmentHorizontal | default horizontal element image alignment
DefaultDefaultImageAlignmentVertical | default vertical element image alignment
DefaultDefaultTextAlignmentHorizontal | default horizontal element text alignment
DefaultDefaultTextAlignmentVertical | default vertical element text alignment
DefaultDefaultTextTrimming | default item/sub-item text trimming
DefaultElementInnerPadding | default element inner padding
DefaultImagePadding | default element image padding
DefaultImageSize | default element image size
DefaultTextPadding | default element text padding

#### Protected Instance Methods

SetDefaultsInternal | Set default layout properties without calling OnPropertyChanged.

#### See Also

BetterListViewLayout<TElement> Class | ComponentOwl.BetterListView Namespace